Macro ForceRecompute

From FreeCAD Documentation
Revision as of 22:41, 3 December 2018 by Vocx (talk | contribs) (Vertical {{Macro}}; fixed icon)
Other languages:

Macro Force Recompute

Description
Forces manual recompute of model

Macro version: 1.0
Last modified: 2014-09-01
Author: shoogen
Author
shoogen
Download
None
Links
Macro Version
1.0
Date last modified
2014-09-01
FreeCAD Version(s)
None
Default shortcut
None
See also
None

Description

Sometimes the user applies changes to the model in FreeCAD. But FreeCAD does not seem to recognize them. So the blue "Recompute" icon stayes greyed out. This small macro forces a manual recompute of the model.

Since FreeCAD v0.17, the effect of this macro can be achieved through GUI. Right-click project in model tree view, and pick "Mark to recompute" from context menu. After that, press Recompute button.

Use

Just run the macro when needed.

Script

Macro Force_Recompute.py

# -*- coding: utf-8 -*-
# Force Recompute
# macro provided by shoogen

import FreeCAD
for obj in FreeCAD.ActiveDocument.Objects:
 obj.touch()
FreeCAD.ActiveDocument.recompute()